package com.bcxin.sp.work.dao.activity.extend;

import com.baomidou.mybatisplus.plugins.Page;
import com.bcxin.sp.work.entity.domain.activity.expand.ActivityBuildItem;
import com.bcxin.sp.work.entity.dto.accident.ActivityBuildSearchDTO;

import java.util.List;

/**
 * @Classname ActivityBuildItemMapper
 * @Description 活动临建信息
 * @Date 2020/5/9 13:28
 * @Created by wangjianjun
 */
public interface ActivityBuildItemMapper {

    ActivityBuildItem selectByPrimaryKey(Long activityBuildItemId);

    /**
     * 根据临建类型和审核状态查询活动临建信息
     * @param page
     * @param activityBuildSearchDTO
     * @return
     */
    List<ActivityBuildItem> findAllByItemTypeAndApproveStatus(Page page, ActivityBuildSearchDTO activityBuildSearchDTO);


}