package com.bcxin.sp.work.dao.activity.extend;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.activity.expand.ActivityContractor;
import com.bcxin.sp.work.entity.dto.SearchDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ActivityContractorMapper extends BaseMapper<ActivityContractor> {

    ActivityContractor selectContactByActivityId(Long activityId);

    List<ActivityContractor> selectByActivityId(Long activityId);

    void deleteByActivityId(@Param("activityId") Long activityId);


    List<ActivityContractor> findListData(SearchDto<ActivityContractor> dto);
    Long findListDataCnt(SearchDto<ActivityContractor> dto);
}
