package com.bcxin.sp.work.dao.activity.extend;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.activity.session.ActivitySession;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ActivitySessionMapper extends BaseMapper<ActivitySession> {

    List<ActivitySession> selectByActivityId(@Param("activityId") Long activityId);

    void deleteByActivityId(@Param("activityId") Long activityId);

}
