package com.bcxin.sp.work.dao.activity.history;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.activity.history.ActivityHistory;
import com.bcxin.sp.work.entity.dto.ActivityHistoryDTO;
import com.bcxin.sp.work.entity.dto.SearchDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ActivityHistoryMapper extends BaseMapper<ActivityHistory> {

    List<ActivityHistoryDTO> findActivity(SearchDto searchDto);
    ActivityHistoryDTO getById(@Param("id") Long id);

    long findCountOfActivity(SearchDto searchDto);

    ActivityHistory findByName(@Param("fullName") String name);
}
