package com.bcxin.sp.work.dao.sys;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.sys.ConfigMenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ConfigMenuMapper extends BaseMapper<ConfigMenu> {

    List<ConfigMenu> selectByRole(@Param("role") String role, @Param("province") String province);

    List<ConfigMenu> selectByUserId(@Param("userId") Long userId, @Param("province") String province);

}
