package com.bcxin.sp.work.dao.sys;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.sys.ServiceOrg;
import com.bcxin.sp.work.entity.dto.ServiceOrgSearchDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ServiceOrgMapper extends BaseMapper<ServiceOrg> {

    List<ServiceOrg> search(ServiceOrgSearchDto searchDto);

    ServiceOrg selectByIdMix(@Param("oid")Long oid, @Param("saasComId")Long saasComId);

    Long searchCount(ServiceOrgSearchDto searchDto);

    List<Map> findServiceOrgListByActivityId(@Param("activityId") Long activityId);

    Map getServiceOrgByIdForOne(@Param("activityId") Long activityId);
}
