package com.bcxin.sp.work.dao.third.nx;

import com.bcxin.sp.work.entity.dto.SearchDto;
import com.bcxin.sp.work.entity.dto.nx.NxParamDTO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
//public interface NXDataMapper extends BaseMapper<JZUserData> {
public interface NXDataMapper {

    /**
     * 人员盘查记录信息(指挥部_移动盘查)资源表
     */
    List<Map> findRyydpcListData(SearchDto<NxParamDTO> dto);
    Long findRyydpcListDataCnt(SearchDto<NxParamDTO> dto);

    /**
     * 场所盘查记录信息(指挥部_移动盘查)资源表
     */
    List<Map> findXgcspcxxListData(SearchDto<NxParamDTO> dto);
    Long findXgcspcxxListDataCnt(SearchDto<NxParamDTO> dto);

    /**
     * 场所盘查记录信息(指挥部_移动盘查)资源表
     */
    List<Map> findShqyjbxxListData(SearchDto<NxParamDTO> dto);
    Long findShqyjbxxListDataCnt(SearchDto<NxParamDTO> dto);

    /**
     * 人员居住证明信息
     */
    List<Map> findRyjzzmxxListData(SearchDto<NxParamDTO> dto);
    Long findRyjzzmxxListDataCnt(SearchDto<NxParamDTO> dto);

    /**
     * 治安人员过闸信息
     */
    List<Map> findZarygzxxListData(SearchDto<NxParamDTO> dto);
    Long findZarygzxxListDataCnt(SearchDto<NxParamDTO> dto);

    /**
     * 治安人员过闸信息
     */
    List<Map> findRyqcpxxListData(SearchDto<NxParamDTO> dto);
    Long findRyqcpxxListDataCnt(SearchDto<NxParamDTO> dto);


    /**
     * 人员_情报_全国在逃人员信息
     */
    List<Map> findQgztryxxListData(SearchDto<NxParamDTO> dto);
    Long findQgztryxxListDataCnt(SearchDto<NxParamDTO> dto);

    /**
     * 人员_情报_全国重点人员信息表
     */
    List<Map> findQgzdryxxListData(SearchDto<NxParamDTO> dto);
    Long findQgzdryxxListDataCnt(SearchDto<NxParamDTO> dto);
    /**
     * 人员_情报_全国刑事犯罪前科人员信息
     */
    List<Map> findQgxsfzqkryxxListData(SearchDto<NxParamDTO> dto);
    Long findQgxsfzqkryxxListDataCnt(SearchDto<NxParamDTO> dto);
    /**
     * 人员_情报_全国涉稳人员信息
     */
    List<Map> findQgswryxxListData(SearchDto<NxParamDTO> dto);
    Long findQgswryxxListDataCnt(SearchDto<NxParamDTO> dto);
    /**
     * 人员_情报_全国涉恐人员信息
     */
    List<Map> findQgskryxxListData(SearchDto<NxParamDTO> dto);
    Long findQgskryxxListDataCnt(SearchDto<NxParamDTO> dto);
    /**
     * 车辆_治安_全国被盗抢机动车信息
     */
    List<Map> findQgbdqjdcxxListData(SearchDto<NxParamDTO> dto);
    Long findQgbdqjdcxxListDataCnt(SearchDto<NxParamDTO> dto);

}
