package com.bcxin.sp.work.entity.domain.activity.expand;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 同步任务
* 记录需要补同步的任务
* @Description: 
* @date: 2018年05月17日 上午11:10:51
* @author 罗鹏
 */
@Data
@TableName("sp_sync_task")
public class SyncTask extends Model<SyncTask> {

	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Long id;
	private Date addTime = new Date();

	/**
	 * 活动id
	 */
	private Long activityId;

	/**
	 * 同步类型
	 */
	private String syncTaskType;

	/**
	 * 同步状态
	 */
	private String approveStatus;

	/**
	 * 同步状态是否成功
	 */
	private String sync;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
