package com.bcxin.sp.work.entity.domain.activity.security;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

/**
 * 安保任务-安保路线
 */
@Data
@TableName("sp_activity_security_task_line")
public class SecurityTaskLine extends Model<SecurityTaskLine> {

	private static final long serialVersionUID = 7064937058904767154L;

	@TableId(type = IdType.AUTO)
	private Long securityTaskLineId;

	/**
	 * 安保任务id
	 */
	private Long securityTaskId;

	/**
	 * 安保路线名称
	 */
	private String lineName;

	/**
	 * 安保路线编号
	 */
	private String lineCode;


	@Override
	protected Serializable pkVal() {
		return this.securityTaskLineId;
	}

}
