package com.bcxin.sp.work.entity.domain.activity.survey;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sp_activity_survey")
public class Survey extends Model<Survey> {

	private static final long serialVersionUID = 7064937058904767154L;

	@TableId(type = IdType.AUTO)
	private Long id;
	private Long activityId; //活动
	private Long pssId;//pssId
	private String activityNo;
	private String address; //勘查地点
	private String step;// 第几次勘查
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
	private Date startDate; //勘查开始时间
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
	private Date endDate; //勘查结束时间
	private String report;//勘查报告

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
