package com.bcxin.sp.work.entity.domain.activity.survey;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("sp_activity_survey_detail")
public class SurveyDetail extends Model<SurveyDetail> {

	private static final long serialVersionUID = 7064937058904767154L;

	@TableId(type = IdType.AUTO)
	private Long id;
	private Long surveyId; //勘查id
	private Long pssInfoId; //勘查意见id
	private String opinion; //勘查意见
	private String solve; //勘查整改
	private String opinionPic; //勘查意见图片
	private String solvePic; //勘查整改图片

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
