package com.bcxin.sp.work.entity.domain.log;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 系统日志
 */
@Data
@TableName("log_system")
public class SystemLog extends Model<SystemLog> {

	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Long id;
	//用户
	private Long userId;
	//用户操作
	private String operation;
	//请求方法
	private String method;
	//请求参数
	private String params;
	//执行时长(毫秒)
	private Long time;
	//创建时间
	private Date addTime = new Date();

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
