package com.bcxin.sp.work.entity.domain.sys;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户和菜单的权限表
 * 默认用ConfigMenu，如果这边有配置，则用这边的配置
 */
@Data
@TableName("config_menu_user")
public class ConfigMenuUser extends Model<ConfigMenuUser> {

	private static final long serialVersionUID = 5141146467906163568L;

	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 菜单id
	 */
	private Long menuId;

	/**
	 * 用户id
	 */
	private Long userId;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
