package com.bcxin.sp.work.entity.domain.sys;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务机构
 */
@Data
@TableName("base_serviceorg")
public class ServiceOrg extends Model<ServiceOrg> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime = new Date();
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime = new Date();

    /**
     * 机构类型
     */
    private String orgType;

    /**
     * 机构名称
     */
    private String orgName;

    /**
     * 注册时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date registerTime;

    /**
     * 企业地址
     */
    private String orgContactAddress;

    /**
     * 联系人
     */
    private String orgContactName;

    /**
     * 联系电话
     */
    private String orgContactPhone;

    /**
     * 专家团队
     */
    private String orgExperts;

    /**
     * 经验
     */
    private String orgExperience;

    /**
     * 简介
     */
    private String orgIntroduce;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
