/**
 * date: 2020-05-28 15:48
 * copyright(c) 2015-2020 百川信
 */
package com.bcxin.sp.work.entity.domain.third.bim;

import lombok.Data;

import java.util.Date;

/**
 * @author: jianjun.wang
 * @description: bim图纸
 * @data: 2020-05-28 15:48
 **/
@Data
public class Drawing {
    /**
     * 图纸id
     */
    private Long id;

    /**
     * 文件id
     */
    private String fileId;

    /**
     * 材料名称
     */
    private String name;

    /**
     * 材料类型，1图纸，2模型
     */
    private String fileType;

    /**
     * 材料说明
     */
    private String description;


    private Date addTime = new Date();
    private Date updateTime = new Date();

    /**
     * 数据库外字段
     */
    private transient String fullName;

    private transient Long venueId;
}