package com.bcxin.sp.work.entity.domain.upgrade;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hzp
 * 系统升级与人员关系记录表
 */
@Data
@TableName("system_upgrade_user")
public class SystemUpgradeUser extends Model<SystemUpgradeUser> {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 系统升级id
     */
    private Long upgradeId;

    /**
     * 是否已经读取
     */
    private String isRead;

    /**
     * 读取时间
     */
    private Date readTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
