package com.bcxin.sp.work.entity.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wangjianjun
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class FtpFerryDto {

    /**
     * 区域ID
     */
    private String regionId;

    /**
     * 调用方系统
     */
    private String srcApp;

    /**
     * 被调用方系统
     */
    private String targetApp;

    /**
     * 被调用方系统接口地址
     */
    private String targetServiceUrl;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 业务ID
     */
    private String businessId;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件地址集合
     */
    private String fileUrls;

    /**
     * 业务消息
     */
    private String data;

    /**
     * 回调接口地址
     */
    private String callbackUrl;

}
