/**
 * date: 2020-04-28 13:10
 * copyright(c) 2015-2020 百川信
 */
package com.bcxin.sp.work.entity.dto.accident;

import com.bcxin.sp.work.entity.dto.SearchDto;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: jianjun.wang
 * @description: 活动临建态势
 * @data: 2020-04-28 13:10
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class ActivityBuildSearchDTO extends SearchDto {
    /**
     * 更新时间
     */
//    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String updateTimeStart;

//    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String updateTimeEnd;

    /**
     * 临建类型
     */
    private String itemType;

    /**
     * 审核状态
     */
    private String approveStatus;

    /**
     * 活动-临建公司Id
     */
    private String activityBuildId;

}