package com.bcxin.sp.work.service.activity.approve;

import com.bcxin.sp.work.dao.activity.approve.FileNumberMapper;
import com.bcxin.sp.work.entity.dto.FileNumberDTO;
import com.bcxin.sp.work.entity.dto.SearchDto;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author 张建华
 */
@Service
@Transactional
public class FileNumberService {

    @Resource
    private FileNumberMapper fileNumberMapper;

    public List<FileNumberDTO> listFileNumber(SearchDto<FileNumberDTO> dto) {

        return fileNumberMapper.listFileNumber(dto);
    }

    public List listFileNumberOfMap(FileNumberDTO dto) {
        return fileNumberMapper.listFileNumberOfMap(dto);
    }

    public long countFileNumber(SearchDto<FileNumberDTO> dto) {
        return fileNumberMapper.countFileNumber(dto);
    }
}
