package com.bcxin.sp.work.service.activity.extend;

import com.bcxin.sp.work.dao.activity.extend.ActivityCameraTotalMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Map;

@Service
@Transactional
public class ActivityCameraTotalService {

    @Resource
    private ActivityCameraTotalMapper activityCameraTotalMapper;

    /**
     * <b> 根据活动id查询活动视频数据 </b>
     * @author ZXF
     * @create 2020/03/03 0003 15:32
     * @version
     * @注意事项 </b>
     */
    public Map getActivityCameraTotalByActivityId(long activityId) {
        return activityCameraTotalMapper.getActivityCameraTotalByActivityId(activityId);
    }

}
