package com.bcxin.sp.work.service.third.nxzw;

import lombok.Data;

import java.util.List;

/**
 * <b> 办件报文 </b>
 * @author ZXF
 * @create 2022/11/15 0015 10:56
 * @version
 * @注意事项 </b>
 */
@Data
public class UpProBody {
    private String clientId;//
    private String timestamp;//
    private String sign;//
    private String tskId;//
    private UpProAccept upProAccept;//办件受理
    private UpProResult upProResult;//办件结果
    private List<UpProMaterial> upProMaterial;//材料
    private List<UpProProcess> upProProcess;//办件过程
    private List<UpProSpecialProcedure> upProSpecialProcedure;//系统特别流程

    public UpProBody(String clientId,String timestamp,String sign,String tskId){
        this.clientId = clientId;
        this.sign = sign;
        this.tskId = tskId;
        this.timestamp = timestamp;
    }
}
