package com.bcxin.sp.work.util;

import cn.hutool.crypto.SmUtil;
import lombok.extern.slf4j.Slf4j;

import java.util.*;
    /**
     * @desc 国密SM
     */
    @Slf4j
    public class CryptoUtils {

        /**
         * sm3进行签名
         *
         * @param srcStr 原文
         * @return String
         */
        public static String encryptHexSm3(String srcStr) {
            return SmUtil.sm3().digestHex(srcStr);
        }


        private static List<Map>getTestData(){
            List<Map> logContents = new ArrayList<>();
            Map m = new HashMap();
            m.put("numId","asdfasdfasdfasdf");
            m.put("userId","1");
            m.put("userName","刘广");
            logContents.add(m);
            return logContents;
        }

       public static void main(String[] args) {
            //注意：字段顺序要按照 文档中的字段顺序排列
            LinkedHashMap<String,Object> map = new LinkedHashMap();
            map.put("sysId","");
            map.put("sendId","1");
            map.put("logType","1");
            map.put("subLogType","101");
            map.put("logContents", getTestData());
            map.put("appSecret ", "asdfsdfsdfhplkfgdhkjaoijh");
            StringBuilder singStr = new StringBuilder();
            //log.info("_________________准备计算SM3code__________________");
            for (String key :map.keySet()) {
                log.info("本次参与计算的key为：{}",key);
                singStr.append(map.get(key)).append("&");
            }
            String substring = singStr.substring(0, singStr.length() - 1);
            log.info("计算checkSum拼接的字符串为：{}",substring);
            System.out.println(CryptoUtils.encryptHexSm3(substring));
        }
    }
