package com.bcxin.sp.work.dao.activity.car;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.activity.traffic.ActivityTraffic;
import com.bcxin.sp.work.entity.domain.base.Car;
import com.bcxin.sp.work.entity.domain.base.PoliceCar;
import com.bcxin.sp.work.entity.dto.ActivityCarTrackDTO;
import com.bcxin.sp.work.entity.dto.CarDTO;
import com.bcxin.sp.work.entity.dto.ParkDTO;
import com.bcxin.sp.work.entity.dto.SearchDto;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CarMapper extends BaseMapper<Car> {

	List<CarDTO> findZdclListData(SearchDto<CarDTO> dto);
	Long findZdclListDataCnt(SearchDto<CarDTO> dto);

	List<ActivityCarTrackDTO> findZdclwzListData(SearchDto<ActivityCarTrackDTO> dto);
	Long findZdclwzListDataCnt(SearchDto<ActivityCarTrackDTO> dto);

	List<PoliceCar> findJcjbsjListData(SearchDto<PoliceCar> pc);
	Long findJcjbsjListDataCnt(SearchDto<PoliceCar> pc);

	List<ParkDTO> findTccListData(SearchDto<ParkDTO> dto);
	Long findTccListDataCnt(SearchDto<ParkDTO> dto);

	List<ActivityTraffic> findJtlkListData(SearchDto<ActivityTraffic> at);
	Long findJtlkListDataCnt(SearchDto<ActivityTraffic> at);

}
