package com.bcxin.sp.work.dao.activity.extend;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.bcxin.sp.work.entity.domain.activity.expand.ActivityAssessment;
import com.bcxin.sp.work.entity.dto.SearchDto;
import com.bcxin.sp.work.entity.dto.accident.ActivityAssessmentSearchDTO;
import org.springframework.stereotype.Repository;

import java.util.List;


/**
 * @Classname ActivityAssessmentMapper
 * @Description TODO
 * @Date 2020/5/8 11:07
 * @Created by wangjianjun
 */
@Repository
public interface ActivityAssessmentMapper extends BaseMapper<ActivityAssessment> {

    ActivityAssessment selectByPrimaryKey(Long activityAssessmentId);

    /**
     * 根据更新时间查询
     *
     * @param activityAssessmentSearchDto
     * @return
     */
    List<ActivityAssessment> findAllByUpdateTime(Page page, ActivityAssessmentSearchDTO activityAssessmentSearchDto);

    List<ActivityAssessment> findListData(SearchDto<ActivityAssessment> dto);
    Long findListDataCnt(SearchDto<ActivityAssessment> dto);

}