package com.bcxin.sp.work.dao.activity.extend;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.activity.expand.Workflow;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WorkflowMapper extends BaseMapper<Workflow> {

	Integer findMaxSeq(String province, String city, String area);

	List<Workflow> findByVersion(String version);

	Workflow findByVersionAndSeq(@Param("version") String version,@Param("seq")int seq);

	Workflow findRegionByVersion(@Param("activityId") Long activityId);

	List<Workflow> findActive(String province, String city, String area);

	long findCountOfWork(String province, String city, String area);

	Workflow findWorkFlow(int seq, Long activityId);

	Workflow findWorkRoleName(@Param("activityId")Long activityId,@Param("role")String role);

}
