package com.bcxin.sp.work.dao.activity.survey;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.bcxin.sp.work.entity.domain.activity.survey.Survey;
import com.bcxin.sp.work.entity.dto.ActivitySurveyDTO;
import com.bcxin.sp.work.entity.dto.accident.ActivitySurveySearchDTO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SurveyMapper extends BaseMapper<Survey> {

	List<Survey> findRepair();

	List<Survey> findByActivityId(Long activityId);

	Survey findByStep(String activityNo, String address, String step);

	/**
	 * 列表
	 * @param
	 * @return
	 */
	List<ActivitySurveyDTO> findAllByUpdateTime(Page page, ActivitySurveySearchDTO activitySurveySearchDTO);

	/**
	 * 详情
	 * @param id
	 * @return
	 */
	ActivitySurveyDTO selectByPrimaryKey(Long id);
}
