package com.bcxin.sp.work.dao.telPhone;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bcxin.sp.work.entity.domain.user.TelPhone;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author 张建华
 * 警局电话配置
 */
@Repository
public interface TelPhoneMapper extends BaseMapper<TelPhone> {


    List<TelPhone> selectTelPhoneByLevel(@Param("regionLevel") int regionLevel, @Param("place") String place);

}
