package com.bcxin.sp.work.entity.domain.activity.approve;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件编号
 *
 * @author 张建华
 */
@Data
@TableName("sp_file_number")
public class FileNumber extends Model<FileNumber> {

    private static final long serialVersionUID = -7088672083348697781L;

    @TableId(type = IdType.AUTO)
    private Long id;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime = new Date();
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime = new Date();


    private String province;

    private String city;

    private String area;

    /**
     * 文件编号
     */
    private String fileNumber;


    /**
     * 文件名
     */
    private String fileName;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 活动
     */
    private Long activityId;

    /**
     * 操作人员
     */
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
