package com.bcxin.sp.work.entity.domain.activity.person;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 重点人员监控信息
 * 监控信息
 */
@Data
@TableName("sp_activity_person_key_Monitor")
public class ActivityPersonKeyMonitor extends Model<ActivityPersonKeyMonitor> {

	private static final long serialVersionUID = 7064937058904767154L;

	@TableId(type = IdType.INPUT)
	private Long activityPersonKeyMonitorId;

	/**
	 * 人员id
	 */
	private Long activityPersonId;

	/**
	 * 类别代码
	 */
	private String categoryCode;

	/**
	 * 类别名称
	 */
	private String categoryName;

	/**
	 * 管控事由
	 */
	private String monitorReason;

	/**
	 * 管控状态
	 */
	private String monitorStatus;

	/**
	 * 列控单位
	 */
	private String controlOrg;

	/**
	 * 列控时间
	 */
	private String controlDate;

	/**
	 * 处置建议
	 */
	private String disposeSuggest;

	/**
	 * 采集时间
	 */
	private String collectDate;

	/**
	 * 信息入库时间
	 */
	private Date createOn;

	@Override
	protected Serializable pkVal() {
		return this.activityPersonId;
	}
}
