package com.bcxin.sp.work.entity.domain.activity.traffic;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 活动，停车场
 */
@Data
@TableName("sp_activity_park")
public class ActivityPark extends Model<ActivityPark> {

	private static final long serialVersionUID = 7064937058904767154L;

	@TableId(type = IdType.INPUT)
	private Long activityParkId;

	/**
	 * 活动id
	 */
	private Long activityId;

	/**
	 * 停车场id
	 */
	private Long parkId;

	/**
	 * 已占用停车位数量
	 */
	private String parkTotal;

	/**
	 * 已预订数量
	 */
	private String bookTotal;


	private Date createOn;


	@Override
	protected Serializable pkVal() {
		return this.activityParkId;
	}
}
