package com.bcxin.sp.work.entity.domain.activity.traffic;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

/**
 * 活动，警车基本信息
 */
@Data
@TableName("sp_activity_police_car")
public class ActivityPoliceCar extends Model<ActivityPoliceCar> {

	private static final long serialVersionUID = 7064937058904767154L;

	@TableId(type = IdType.INPUT)
	private Long activityPoliceCarId;

	/**
	 * 活动id
	 */
	private Long activityId;

	/**
	 * 警车id
	 */
	private Long policeCarId;


	@Override
	protected Serializable pkVal() {
		return this.activityPoliceCarId;
	}
}
