package com.bcxin.sp.work.entity.domain.log;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("log_user_login")
public class UserLoginLog extends Model<UserLoginLog> {

    private static final long serialVersionUID = -3493875375229017179L;

    @TableId(type = IdType.AUTO)
    private Long id;
    private Date addTime = new Date();
    private Date updateTime = new Date();
    private String updater = "system";


    /*用户id*/
    private Long userId;

    private String ipAddress;

    private Date loginTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
