package com.bcxin.sp.work.entity.domain.sys;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("config_approveLimit")
public class ConfigApproveLimit extends Model<ConfigApproveLimit> {

	private static final long serialVersionUID = 5141146467906163568L;

	@TableId(type = IdType.AUTO)
	private Long id;
	private long regionId;
	private int approveLimit;

	/************ 非表字段 **********************/
	@TableField(exist = false)
	private String regionName;

	private long parentRegionId;//上级区域id

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
