package com.bcxin.sp.work.entity.domain.sys;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("config_function")
public class ConfigFunction extends Model<ConfigFunction> {

	private static final long serialVersionUID = 5141146467906163568L;

	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 登录路径
	 */
	private String loginPath;

	/**
	 * 登录页面路径
	 */
	private String loginView;

	/**
	 * 是否需要审批
	 */
	private String switchApprove;

	/**
	 * 适用省份
	 */
	private String province;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
