package com.bcxin.sp.work.entity.domain.sys;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("base_Region")
public class Region extends Model<Region> {

	private static final long serialVersionUID = -2394764104344196478L;

	@TableId(type = IdType.AUTO)
	private Long id;
	private String fullName;
	private Integer regionLevel;
	private Long parentId;
	private String alias;
	private Integer seq;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
