package com.bcxin.sp.work.entity.domain.sys;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 审批消息通知配置
 */
@Data
@TableName("sp_spmsg_template")
public class SPMsgTemplate extends Model<SPMsgTemplate> {

    private static final long serialVersionUID = 7064937058904767154L;

    @TableId(type = IdType.AUTO)
    private Long id;
    private Date addTime = new Date();
    private Date updateTime = new Date();
    private String updater = "system";

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区
     */
    private String area;

    /**
     * 现场需提交的材料
     */
    private String material;

    /**
     * 办理地址
     */
    private String address;

    /**
     * 联系电话
     */
    private String tel;

    /**
     * 是否激活
     */
    private String active;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
