package com.bcxin.sp.work.entity.domain.third.bim;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrawingLabel {
    /**
    * id
    */
    private Long id;

    /**
    * 文件id
    */
    private String fileId;

    private String viewToken;

    /**
    * 引线坐标
    */
    private String worldPosition;

    /**
    * 引线内容
    */
    private String text;

    /**
    * 图纸id
    */
    private Long drawingId;
}