package com.bcxin.sp.work.service.log;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.bcxin.sp.work.dao.log.ChangeLogMapper;
import com.bcxin.sp.work.entity.domain.log.ChangeLog;
import com.bcxin.sp.work.entity.domain.sys.Config;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class ChangeLogService {

    @Autowired
    private ChangeLogMapper changeLogMapper;

    public void save(ChangeLog changeLog) {
        changeLogMapper.insert(changeLog);
    }

    public void deleteBySourceOid(Long sourceOid){
        EntityWrapper<ChangeLog> wrapper=new EntityWrapper<ChangeLog>();
        wrapper.eq("sourceOid",sourceOid);
        changeLogMapper.delete(wrapper);
    }

    public List<ChangeLog> selectChangeLog(Long activityId){
        EntityWrapper<ChangeLog> wrapper=new EntityWrapper<ChangeLog>();
        wrapper.eq("billId",activityId);
        wrapper.eq("isNew","1");
        wrapper.orderBy("changeDate",true);
        return changeLogMapper.selectList(wrapper);
    }


}
