package com.bcxin.sp.work.service.sys;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.bcxin.sp.work.dao.sys.RegionMapper;
import com.bcxin.sp.work.entity.domain.sys.Region;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class RegionService  {
	
	@Autowired
	private RegionMapper regionDao;

	public Region findById(long id) {
		return regionDao.selectById(id);
	}

	public List<Region> findByParentId(long id) {
		return regionDao.findByParentId(id);
	}

	public List<Region> findAll() {
		return regionDao.selectList(new EntityWrapper<Region>());
	}
	
}
