package com.bcxin.sp.work.service.third.anbao;

import cn.hutool.core.date.DateUtil;
import com.bcxin.sp.config.cache.CacheUtils;
import com.bcxin.sp.work.entity.domain.user.User;
import com.bcxin.sp.work.util.Const.GlobalConst;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.authc.UsernamePasswordToken;
import org.apache.shiro.session.Session;
import org.apache.shiro.subject.Subject;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpSession;


/**
 * 首页service
 */
@Service
public class AnbaoUserService {

    /**
     * token设置session
     * @return
     * @throws
     */
    public void session(String token, HttpSession session) {
        User dbUser = (User)CacheUtils.get(token);
        //日期对不上也不行
        if(DateUtil.today().equals(dbUser.getLoginDay())){
            session.setAttribute(GlobalConst.LOGIN_USER,dbUser);
//            UsernamePasswordToken token1 = new UsernamePasswordToken(dbUser.getUsername(), dbUser.getPassword(), "");
//            Subject subject = SecurityUtils.getSubject();
//            subject.login(token1);
//            Session session1 = subject.getSession();
            System.out.println(session.getId().toString());
        }
    }
}
