package com.bcxin.sp.work.service.third.nxzw;

import lombok.Data;

/**
 * <b> 办件受理信息参数 </b>
 * @author ZXF
 * @create 2022/11/15 0015 10:56
 * @version
 * @注意事项 </b>
 */
@Data
public class UpProAccept {
    private String acceptDate;//受理时间,格式 yyyy-MM-dd HH:mm:ss
    private String acceptDocNo;//受理文书编号
    private String address;//通讯地址
    private String applyDate;//申请时间, 格式 yyyy-MM-dd HH:mm:ss
    private String applyType;//申请类型   C.10
    private String applyerName;//申请人名称
    private String applyerPageCode;//申请人证件号码
    private String applyerPageType;//申请人证件类型
    private String applyerType;//申请人类型  C.11
    private String areaId;//行政区划代码 12位数
    private String catalogCode;//基本编码（事项编码-固定）
    private String cdBatch;//批次号
    private String cdOperation = "I";//同步类型, I：新增件， U：修改
    private String cdTime;//记录创建时间yyyy-MM-dd HH:mm:ss
    private String contractCode;//联系人/代理人证件号码
    private String contractMobile;//联系人/代理人手机号
    private String contractName;//联系人/代理人姓名
    private String contractType;//联系人/代理人证件类型 代码集为“证件类型”C.34
    private String dataSource;//数据来源 固定值：部门名称首字母+系统名称首字母，(下划线链接’_’)
    private String enterpriseName;//企业名称（如果是法人事项，必填）
    private String handleUserName;//受理人员
    private String isItemBase;//是否是事项库办件 1是, 0不是（默认1）
    private String legal;//法定代表人 申请人证件类型为营业执照或申请人类型为企业法人、事业法人、社会组织法人时，则该要素必填　
    private String localCatalogCode;//地方基本编码
    private String localItemCode;//本地事项id
    private String localProjectNo;//本地办件编号（活动编号）
    private String localTaskCode;//地方实施编码（事项ID）
    private String orgCode;//受理部门编码 区划内实施主体统一社会信用代码
    private String orgName;//受理部门
    private String projectName;//办件摘要
    private String projectNo;//办件编号(唯一编号)(活动编号）
    private String projectType;//办件类型1 即办件 2 承诺件
    private String promiseDate;//承诺办结时间, 格式 yyyy-MM-dd HH:mm:ss（申请时间后30）
    private String promiseTime;//承诺时限, 最大5位数（固定30）
    private String rowGuid;//记录唯一标识
    private String taskCode;//实施编码（事项ID）见C 0109.1-2018的第5章
    private String taskName;//事项名称 政务服务事项的具体名称
    private String taskVersion;//事项版本 1.0
    private String zipCode;//邮编
    private String taskHandleItem;//业务办理项编码（事项ID）
    private String companyCode;//统一社会信用代码（企业必填） 固定 1
    private String handleUserId;//受理人员id
    private String fileId;//事项id
    private String pcc;//所属警钟
    private String sys_name;//所属系统（PSS系统名称）
    private String sys_lev;//所属系统级别（1）
    private String model_id;//事项model_id
}
