package com.bcxin.sp.work.util;

import com.bcxin.sp.work.entity.domain.log.OperateLog;
import com.bcxin.sp.work.entity.domain.user.User;
import com.bcxin.sp.work.service.log.OperateLogService;

import javax.servlet.http.HttpServletRequest;

/**
 * 操作日志util
 */
public class OperateLogUtil {

    private static OperateLogService operateLogService;

    public static OperateLogService getService(){
        if(operateLogService!=null){
            return operateLogService;
        }
        operateLogService=SpringContextUtil.getBean(OperateLogService.class);
        return operateLogService;
    }

    public static void saveOperate(OperateLog operateLog){
        try {
            getService().save(operateLog);
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    public static void saveOperate(User user, String menuName, String operateType, String operateObj){
        OperateLog log=new OperateLog();
        HttpServletRequest request = HttpContextUtils.getHttpServletRequest();
        if(user!=null) {
            log.setUserId(user.getId());
            log.setUserName(user.getRealName());
            log.setProvince(user.getProvince());
            log.setCity(user.getCity());
            log.setArea(user.getArea());
            log.setProvinceName(user.getProvincename());
            log.setCityName(user.getCityname());
            log.setAreaName(user.getAreaname());
        }
        log.setIp(WebUtil.getIP(request));
        log.setMenuName(menuName);
        log.setOperateObj(operateObj);
        log.setOperateType(operateType);
        log.setResult(1);
        saveOperate(log);
    }
}
