package com.bcxin.sp.work.util;


import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;
import java.io.StringWriter;

/**
 * jxab工具类
 *
 * @author wangjianjun
 * @date 2020/7/21
 */
public final class XmlUtil {

    /**
     * javabean转xmL字符串
     * @author wangjianjun
     * @date 2020/7/21
     */
    public static String toXmlString(Object obj) {
        String result;
        try {
            JAXBContext context = JAXBContext.newInstance(obj.getClass());
            Marshaller marshaller = context.createMarshaller();
            StringWriter writer = new StringWriter();
            marshaller.marshal(obj, writer);
            result = writer.toString();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        return result;
    }

}